//	Roast+ License


#ifndef __SFJP_OPENMGL_roast_std_env_HPP__
#define __SFJP_OPENMGL_roast_std_env_HPP__

#include "roast_env.h"

namespace roast{

	/*	getenv	*/
	inline const char* getenv(const char *name){
		return roast_getenv(name);
	}

	/*	setenv	*/
	inline int setenv(const char *name, const char *value, bool overwrite=true){
		return roast_setenv(name, value, (overwrite == true ? 1 : 0) );
	}

	/*	unsetenv
	    (rmenv, removeenv, delenv, deleteenv, freeenv, freenv)  */
	inline int unsetenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int rmenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int removeenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int delenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int deleteenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int freeenv(const char *name){
		return roast_unsetenv(name);
	}
	inline int freenv(const char *name){
		return roast_unsetenv(name);
	}

}

#endif//__SFJP_OPENMGL_roast_std_env_HPP__




